--资源返还Tips
Lua_GodTreeTipsWindow = class("Lua_GodTreeTipsWindow", Lua_Window);
function Lua_GodTreeTipsWindow:ctor()
    self:superCall("ctor");
    self.showClose = false;
    self.isClickClose = false;
    self.windowName = "Lua_GodTreeTipsWindow";
    self.skinName="LifeTreeTipsWindow_skin";
end

function Lua_GodTreeTipsWindow:buildShowItem()
    self:superCall("buildShowItem");
    
    self.rewardList = Lua_ItemIconList.new(self.content);
    self.rewardList:setLocation(0, 125, 0);
    self.sub_btn:addClickFuntion(self, self.onSubBtnClick)
end

function Lua_GodTreeTipsWindow:showWin(msg)
    self.dic.text = LanUtil.formateStr(126917,msg.prev_level);

    local list = msg.item_list;
    for i = 1, #list do
        vo = Lua_ToolVo.createToolVo(tonumber(list[i].key), tonumber(list[i].value));
        arr:add(vo)
    end
    self.rewardList:setArrayData(arr);
end

function Lua_GodTreeTipsWindow:onSubBtnClick()
    self:hide();
end

function Lua_GodTreeTipsWindow:dispose()
    if self.rewardList ~= nil then
        self.rewardList:dispose();
        self.rewardList = nil;
    end
    self:superCall("dispose");
end