--从守护槽卸下
Lua_GuardDemountTipsWindow = class("Lua_GuardDemountTipsWindow", Lua_Window);
function Lua_GuardDemountTipsWindow:ctor()
    self:superCall("ctor");
    self.showClose = false;
    self.isClickClose = true;
    self.showBlackMask = true;
    self.windowName = "Lua_GuardDemountTipsWindow";
    self.skinName="GuardDemountTipsWindow_skin";
end

function Lua_GuardDemountTipsWindow:buildShowItem()
    self:superCall("buildShowItem");

    self.dic1:setLangValue(126907);
    self.dic2:setLangValue(126908);

    self.itemIconL = Lua_ItemIcon.new(self.content);
    self.itemIconL:setLocation(-130, 115, 0);
    self.itemIconL:setCanClick(false);

    self.itemIconR = Lua_ItemIcon.new(self.content);
    self.itemIconR:setLocation(130, 115, 0);
    self.itemIconR:setCanClick(false);

    self.sub_btn:addClickFuntion(self, self.onSubBtnClick);
    self.cancel_btn:addClickFuntion(self, self.onCancelBtnClick);
end

function Lua_GuardDemountTipsWindow:showWin(param)
    self.grid_id = param.grid_id;
    local evo_l = DataCenter.heroData:getItemByUniqueId(param.hero_uid);
    self.level_l.text = "LV."..evo_l.level;
    self.level_r.text = "LV."..evo_l.ago_level;
    self.itemIconL:setData(evo_l);
    self.itemIconL:show_level(evo_l.level);

    self.itemIconR:setData(evo_l);
    self.itemIconR:show_level(evo_l.ago_level);
    self.itemIconR._txt_right_top.colorStr = Lua_ColorDefine.transColor("4e4846");
    self.itemIconR._txt_right_top.effectColorStr = Lua_ColorDefine.transColor("f7f7f3");
end

function Lua_GuardDemountTipsWindow:onCancelBtnClick()
    self:hide();
end

function Lua_GuardDemountTipsWindow:onSubBtnClick()
    Lua_ProxyManager.getProxy("Lua_LifeTreeProxy"):sDemountHero(self.grid_id);
    self:hide();
end

function Lua_GuardDemountTipsWindow:dispose()
    if self.itemIconL ~= nil then
        self.itemIconL:dispose();
        self.itemIconL = nil;
    end
    if self.itemIconR ~= nil then
        self.itemIconR:dispose();
        self.itemIconR = nil;
    end
    self:superCall("dispose");
end