-- 英雄消耗道具 item
Lua_TotemHeroCostItem = class("Lua_TotemHeroCostItem", Lua_DisplayObject);
function Lua_TotemHeroCostItem:ctor(p)
    self:superCall("ctor", p,"TotemHeroCostItem_skin");
end

function Lua_TotemHeroCostItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemIcon = Lua_ItemIcon.new(self.content);
	self.itemIcon:setLocation(0, 0, 0);
	self.itemIcon:setSiblingIndex(0);
	self.itemIcon.iconBg:addClickFuntion(self, self.onHeroIconClick)
end


function Lua_TotemHeroCostItem:setData(data)
	self.data = data;
	self.itemIcon:setData(data);
	self:setSelectNum(0);
end

function Lua_TotemHeroCostItem:setSelectNum(selectNum)
	local color = "FFFFFF";
    if selectNum < self.data.need_num then
        color = "FF0000";
    end
    self.show_num.text ="<color=#"..color..">"..numberTrans(selectNum).."</color>/"..numberTrans(self.data.need_num);
end

function Lua_TotemHeroCostItem:onHeroIconClick()
	Lua_MsgUtil.callFunc("ON_HERO_SELECT_WINDOW",self.data);
end

-- function Lua_TotemHeroCostItem:checkRedDot(bool)
-- 	self.toolImg:showRedPoint(bool);
-- end

-- function Lua_TotemHeroCostItem:setItemGray(bool)
-- 	self.toolImg:setHeroIconGray(bool);
-- end

function Lua_TotemHeroCostItem:dispose()
	self.itemIcon:dispose();
	self.itemIcon = nil;
	self:superCall("dispose");
end