--图腾解锁成功
Lua_TotemOrderSucceedWindow = class("Lua_TotemOrderSucceedWindow", Lua_Window);
function Lua_TotemOrderSucceedWindow:ctor()
	self:superCall("ctor");
    self.showClose = false;
    self.skinName="TotemOrderSucceed_skin";
	self.windowName = "Lua_TotemOrderSucceedWindow";
end

function Lua_TotemOrderSucceedWindow:buildShowItem()
	self:superCall("buildShowItem");
	self.skill_icon:addClickFuntion(self, self.onSkillClick);
end

function Lua_TotemOrderSucceedWindow:showWin(param)
	self.data = DataCenter.totemData:getTotemVoByCamp(param);
	self.name.text = LanUtil.formateStr(126648, self.data.name, tostring(self.data.order));
	self.skill_level.text = self.data.order;
    self.skill_icon:setAltas("totem_atlas", self.data.skill_sprite);

	self.show_attr = Array();
	local arr = self.data.skillDesInfo;
	for i=1,arr:getSize() do
        local item = UICreate.createLabel(self.content, "", 0, 0, 500, 35, 22);
		item.pivot = Lua_WindowUtil.getPivot(4);
		item.alignmentValue = 4;

        item.text = arr[i];
        item:setLocation(0, -100 - (i-1)*50, 0)
        self.show_attr:add(item);
    end
end

function Lua_TotemOrderSucceedWindow:onSkillClick()
    Lua_WindowUtil.openWin("Lua_TotemSkillTipsWindow", Lua_WinParam.ACTION_OPEN,{id = self.data.id,isNext = false});
end

function Lua_TotemOrderSucceedWindow:dispose()
	if self.show_attr ~= nil then
		self.show_attr:dispose();
		self.show_attr:clear();
		self.show_attr = nil;
	end
	self:superCall("dispose");
end