--图腾技能tips
Lua_TotemSkillTipsWindow = class("Lua_TotemSkillTipsWindow", Lua_Window);
function Lua_TotemSkillTipsWindow:ctor()
	self:superCall("ctor");
    self.showClose = false;
    self.showWinBg = false;
    self.skinName="TotemSkillTipsWindow_skin";
	self.windowName = "Lua_TotemSkillTipsWindow";
end

function Lua_TotemSkillTipsWindow:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_TotemSkillTipsWindow:showWin(param)
	self:superCall("showWin",param);
	local camp = param.id;
	local isNext = param.isNext;

	local data = DataCenter.totemData:getTotemVoByCamp(camp);
	self.skill_name.text = data.skill_name;
	self.skill_type:setLangValue(126651);
    self.skill_icon:setAltas("totem_atlas", data.skill_sprite);
    self.skill_icon:setGray(data.order == 0);

	self.skill_level.text = "Lv."..data.order;
	local arr = data.skillDesInfo;
	if isNext == true then
		arr = data.nextSkillDesInfo;
		self.skill_level.text = "Lv."..data.order + 1;
	end

	self.show_attr = Array();
	for i=1,arr:getSize() do
        local item = UICreate.createLabel(self.content, "", 0, 0, 500, 35, 22);
		item.pivot = Lua_WindowUtil.getPivot(4);
		item.alignmentValue = 4;

        item.text = data.name..arr[i];
        item:setLocation(-20, 11 - (i-1)*50, 0)
        self.show_attr:add(item);
    end
end

function Lua_TotemSkillTipsWindow:dispose()
	if self.show_attr ~= nil then
		self.show_attr:dispose();
		self.show_attr:clear();
		self.show_attr = nil;
	end         
	self:superCall("dispose");
end