--图腾升级成功
Lua_TotemUpgradeSucceedWindow = class("Lua_TotemUpgradeSucceedWindow", Lua_Window);
function Lua_TotemUpgradeSucceedWindow:ctor()
	self:superCall("ctor");
    self.showClose = false;
    self.skinName="TotemUpgradeSucceedWindow_skin";
	self.windowName = "Lua_TotemUpgradeSucceedWindow";
end

function Lua_TotemUpgradeSucceedWindow:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_TotemUpgradeSucceedWindow:showWin(param)
	local data = DataCenter.totemData:getTotemVoByCamp(param);
	self.name.text = data.name;
	self.showImage:setUrl("/images/hero/"..data.images..".png");

	self.level_l.text = LanUtil.formateStr(126647,tostring(data.level-1));
	self.level_r.text = LanUtil.formateStr(126647,tostring(data.level));
	self:showAttr(data.showUpgradePropInfo);
end

function Lua_TotemUpgradeSucceedWindow:showAttr(arr)
	if self.allAttrInfo == nil then
        self.allAttrInfo = Array();
    end
    local len = self.allAttrInfo:getSize();
    for i = 1, len do
        self.allAttrInfo[i]:setEnable(false);
    end
    local item;
    for i=1,arr:getSize() do
        if self.allAttrInfo[i] ~= nil then
            item = self.allAttrInfo[i];
        else
            item = Lua_TotemUpgradeAttrItem.new(self.content);
            self.allAttrInfo:add(item);
        end
        item:setData(arr[i]);
        item:setLocation(-40, -172 - (i-1)*50, 0)
        item:setEnable(true);
    end
end

function Lua_TotemUpgradeSucceedWindow:dispose()
	if self.allAttrInfo ~= nil then
		self.allAttrInfo:dispose();
		self.allAttrInfo:clear();
		self.allAttrInfo = nil;
	end
	self:superCall("dispose");
end
















--图腾升级属性
Lua_TotemUpgradeAttrItem = class("Lua_TotemUpgradeAttrItem", Lua_DisplayObject);
function Lua_TotemUpgradeAttrItem:ctor(p)
    self:superCall("ctor", p,"TotemUpgradeAttrItem_skin");
end

function Lua_TotemUpgradeAttrItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_TotemUpgradeAttrItem:setData(data)
	self.name.text = data.name;
	self.attr_value.text = data.showValue;
	self.next_value.text = data.showNextValue;
end

function Lua_TotemUpgradeAttrItem:dispose()
	self:superCall("dispose");
end